/***************************************************************************
                          incompletedataexception.h  -  description
                             -------------------
    begin                : Wed Jan 15 2003
    copyright            : (C) 2003 by Oleksiy Kohany
    email                : kohany@girinst.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef INCOMPLETEDATAEXCEPTION_H
#define INCOMPLETEDATAEXCEPTION_H

#include <exception>
#include <string>

using namespace std;

/**
  *@author Oleksiy Kohany
  */

class IncompleteDataException : public exception  {
public: 
IncompleteDataException(const char* descr) throw() {
	sDescr = descr;
}
~IncompleteDataException() throw() {
}
/** No descriptions */
const char* what() const throw() {
	return sDescr.c_str();
}
private: // Private attributes
  /**  */
  string sDescr;
};

#endif
